From bab345ffa8886f1083b93526682151049ea1eb9a Mon Sep 17 00:00:00 2001
From: John Soo <jsoo1@asu.edu>
Date: Fri, 13 Dec 2019 20:48:30 -0800
Subject: [PATCH] gnu: Add rust-serde-test-1.0.

* gnu/packages/crates-io.scm (rust-serde-test-1.0): New variable.
---
 gnu/packages/crates-io.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 23918de386..31cdd48bf1 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -3330,6 +3330,27 @@ with one of the implemented strategies.")
     (properties '((hidden? . #t)))
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-serde-test-1.0
+  (package
+    (name "rust-serde-test")
+    (version "1.0.101")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serde_test" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0070ycbh47yhxb5vxwa15vi2wpdkw3v1m14v4mjryz1568fqkbsa"))))
+    (build-system cargo-build-system)
+    (home-page "https://serde.rs")
+    (synopsis
+     "Token De/Serializer for testing De/Serialize implementations")
+    (description
+     "Token De/Serializer for testing De/Serialize implementations.")
+    (license `(,license:expat ,license:asl2.0))))
+
 (define-public rust-shlex-0.1
   (package
     (name "rust-shlex")
-- 
2.24.1

